Home | All Classes | Grouped Classes | Index | Search

# CL_Texture::set_subimage

Upload image to sub texture.

    	void set_subimage(
    		int x, int y, CL_PixelBuffer& image, int level = 0);

    	void set_subimage(
    		const CL_Point& point, CL_PixelBuffer& image, int level = 0);

Parameters:

image
  Image to upload.
level
  Mipmap level-of-detail number.

See also:

CL_Texture | CL_PixelBuffer | CL_Point

Questions or comments, write to the ClanLib mailing list.